Subject: [Netconf] 4741bis (009) - partial-operation

From: Martin Bjorklund <[email-masked]>
Date: Mon, 09 Nov 2009 16:20:05 +0100 (CET)

Hi,

http://trac.tools.ietf.org/wg/netconf/trac/wiki/Issues_4741bis#issue-009

The proposal is that we should remove the error-tag partial-operation
(and associated error-info elements; ok-element, err-element, and
noop-element).

As currently defined, this feature seems broken.  The error-info
elements have wrong type (QName), and the idea appears to be that this
rpc-error should be returned instead of <ok/> when an edit-config
succeeds.

For background, see:

http://www.ietf.org/mail-archive/web/netconf/current/msg04623.html

http://ops.ietf.org/lists/netconf/netconf.2006/msg00115.html

http://ops.ietf.org/lists/netconf/netconf.2006/msg00108.html

If anyone objects to removing this error, we need a proposal for how
to make it work.

/martin